<html
    xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
    xmlns:be="http://typo3.org/ns/TYPO3/CMS/Backend/ViewHelpers"
    data-namespace-typo3-fluid="true">

<f:layout name="Default" />

This template is responsible for creating a table of domain objects.

If you modify this template, do not forget to change the overwrite settings
in /Configuration/ExtensionBuilder/settings.yaml:
  Resources:
    Private:
      Backend:
        Templates:
          Teams:
            List.html: keep

Otherwise your changes will be overwritten the next time you save the extension in the extension builder

<f:section name="Buttons">
    <be:moduleLayout.button.linkButton
        icon="actions-add"
        title="{f:translate(id: 'LLL:EXT:backend/Resources/Private/Language/locallang_layout.xlf:newRecordGeneral')}"
        link="{f:uri.action(controller: 'Teams', action: 'new')}"
    />
</f:section>

<f:section name="Content">
    <h1>Listing for Teams</h1>

    <f:flashMessages />

    <table class="tx_sisbase">
        <tr>
            <th><f:translate key="tx_sisbase_domain_model_teams.name" /></th>
            <th><f:translate key="tx_sisbase_domain_model_teams.short_name" /></th>
            <th><f:translate key="tx_sisbase_domain_model_teams.logo" /></th>
            <th><f:translate key="tx_sisbase_domain_model_teams.images" /></th>
            <th><f:translate key="tx_sisbase_domain_model_teams.team_comment" /></th>
            <th><f:translate key="tx_sisbase_domain_model_teams.players_comment" /></th>
            <th><f:translate key="tx_sisbase_domain_model_teams.coaches_comment" /></th>
            <th><f:translate key="tx_sisbase_domain_model_teams.supervisors_comment" /></th>
            <th></th>
            <th></th>
        </tr>
        <f:for each="{teams}" as="teams">
            <tr>
                <td><f:link.action action="show" arguments="{teams: teams}">{teams.name}</f:link.action></td>
                <td><f:link.action action="show" arguments="{teams: teams}">{teams.shortName}</f:link.action></td>
                <td><f:link.action action="show" arguments="{teams: teams}">{teams.logo.originalResource.name}</f:link.action></td>
                <td><f:link.action action="show" arguments="{teams: teams}">{teams.images.originalResource.name}</f:link.action></td>
                <td><f:link.action action="show" arguments="{teams: teams}">{teams.teamComment}</f:link.action></td>
                <td><f:link.action action="show" arguments="{teams: teams}">{teams.playersComment}</f:link.action></td>
                <td><f:link.action action="show" arguments="{teams: teams}">{teams.coachesComment}</f:link.action></td>
                <td><f:link.action action="show" arguments="{teams: teams}">{teams.supervisorsComment}</f:link.action></td>
                <td><f:link.action action="edit" arguments="{teams: teams}" class="btn btn-default">Edit</f:link.action></td>
                <td><f:link.action action="delete" arguments="{teams: teams}" class="btn btn-danger">Delete</f:link.action></td>
            </tr>
        </f:for>
    </table>

    <f:link.action action="new" class="btn btn-default">New Teams</f:link.action>
</f:section>
</html>
